From 473d0d2b000b2cd1f685f20f5b9b9baea4b3b161 Mon Sep 17 00:00:00 2001
From: Amit Kapila <akapila@postgresql.org>
Date: Wed, 21 Oct 2020 09:05:01 +0530
Subject: [PATCH v3] Update description of spilled counters in
 pg_stat_replication_slots view.

Author: Amit Kapila
Reviewed-by: Sawada Masahiko
Discussion: https://postgr.es/m/CA+fd4k5_pPAYRTDrO2PbtTOe0eHQpBvuqmCr8ic39uTNmR49Eg@mail.gmail.com
---
 doc/src/sgml/monitoring.sgml | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index f5cf163..aeb694d 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -2603,9 +2603,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
        </para>
        <para>
         Number of transactions spilled to disk after the memory used by
-        logical decoding exceeds <literal>logical_decoding_work_mem</literal>. The
-        counter gets incremented both for toplevel transactions and
-        subtransactions.
+        logical decoding of changes from WAL for this slot exceeds
+        <literal>logical_decoding_work_mem</literal>. The counter gets
+        incremented both for toplevel transactions and subtransactions.
       </para></entry>
      </row>
 
@@ -2614,7 +2614,8 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
         <structfield>spill_count</structfield> <type>bigint</type>
        </para>
        <para>
-        Number of times transactions were spilled to disk. Transactions
+        Number of times transactions were spilled to disk while performing
+        decoding of changes from WAL for this slot. Transactions
         may get spilled repeatedly, and this counter gets incremented on every
         such invocation.
       </para></entry>
@@ -2625,7 +2626,10 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
         <structfield>spill_bytes</structfield> <type>bigint</type>
        </para>
        <para>
-        Amount of decoded transaction data spilled to disk.
+        Amount of decoded transaction data spilled to disk while performing
+        decoding of changes from WAL for this slot. This and other spill
+        counters can be used to gauge the I/O occurred during logical decoding
+        and accordingly can tune <literal>logical_decoding_work_mem</literal>.
       </para></entry>
      </row>
 
-- 
1.8.3.1

